Bug 748668

Summary: CVE-2011-1083 kernel: excessive in kernel CPU consumption when creating large nested epoll structures [fedora-all]
Product: [Fedora] Fedora Reporter: Eugene Teo (Security Response) <eteo>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 15CC: cebbert, davej, gansalmon, itamar, jonathan, jwboyer, kernel-maint, kmcmartin, madhu.chinakonda
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-2.6.41.1-1.fc15 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-04 16:28:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 681578    

Description Eugene Teo (Security Response) 2011-10-24 23:38:32 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=681578

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Josh Boyer 2011-10-25 10:51:04 EDT
http://git.kernel.org/?p=linux/kernel/git/next/linux-next.git;a=commitdiff;h=ad2c978c34091ab4dfb01c329cc8fe16253abf94

This needs to be included in all fedora versions.
Comment 2 Josh Boyer 2011-10-25 12:48:35 EDT
The patch should now be on all fedora branches.
Comment 3 Fedora Update System 2011-10-27 10:12:34 EDT
kernel-2.6.40.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-2.fc15
Comment 4 Fedora Update System 2011-10-29 20:35:19 EDT
Package kernel-2.6.40.8-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.8-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15108
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-10-31 16:24:48 EDT
kernel-2.6.35.14-103.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.14-103.fc14
Comment 6 Fedora Update System 2011-11-01 15:58:45 EDT
kernel-2.6.40.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-4.fc15
Comment 7 Fedora Update System 2011-11-04 16:28:58 EDT
kernel-2.6.35.14-103.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-11-11 19:07:49 EST
kernel-2.6.41.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.1-1.fc15
Comment 9 Fedora Update System 2011-11-17 18:28:28 EST
kernel-2.6.41.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.